# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'FunctionBox'
        db.create_table('layout_functionbox', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('padre', self.gf('django.db.models.fields.related.ForeignKey')(default=None, to=orm['layout.FunctionBox'], null=True, blank=True)),
            ('image_splash', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('image_menu', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('image_selected', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('ordinal_splash', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('ordinal_menu', self.gf('django.db.models.fields.PositiveIntegerField')()),
        ))
        db.send_create_signal('layout', ['FunctionBox'])

        # Adding model 'FunctionBoxPosition'
        db.create_table('layout_functionboxposition', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('functionbox', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['layout.FunctionBox'])),
            ('user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('ordinal_splash', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('ordinal_menu', self.gf('django.db.models.fields.PositiveIntegerField')()),
        ))
        db.send_create_signal('layout', ['FunctionBoxPosition'])


    def backwards(self, orm):
        
        # Deleting model 'FunctionBox'
        db.delete_table('layout_functionbox')

        # Deleting model 'FunctionBoxPosition'
        db.delete_table('layout_functionboxposition')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'layout.functionbox': {
            'Meta': {'object_name': 'FunctionBox'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_menu': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'image_selected': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'image_splash': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'ordinal_menu': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'ordinal_splash': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'padre': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'to': "orm['layout.FunctionBox']", 'null': 'True', 'blank': 'True'})
        },
        'layout.functionboxposition': {
            'Meta': {'object_name': 'FunctionBoxPosition'},
            'functionbox': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['layout.FunctionBox']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ordinal_menu': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'ordinal_splash': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        }
    }

    complete_apps = ['layout']
