#! -*- coding: utf-8 -*-
from django.core.urlresolvers import reverse
from django.shortcuts import render_to_response
from django.template import RequestContext
from django.views.decorators.csrf import csrf_exempt

from layout.models import Layout, FunctionBox
from django.http import HttpResponseRedirect


def splashview(request, *args, **kwargs):
    """Torna la vista iniziale, appena raggiunta la pagina."""
    template_name = kwargs.pop('template_name', 'layout/splashscreen.html')

    r, c = Layout.get_griglia_splash()
    num_rows, num_cols = range(r), range(c)
    qs_boxes = FunctionBox.objects.filter(padre__exact=None
                                          ).order_by('ordinal_splash')[0:(c * r)-1]
                                                     # solo le prime n - 1
                                                     # una è il login box
    
    return render_to_response(template_name, locals(), RequestContext(request))

def mainview(request, *args, **kwargs):
    """Torna la vista contenente tutte le funzioni selezionabili."""
    template_name = kwargs.pop('template_name', 'layout/mainview.html')

    r, c = Layout.get_griglia_menu()
    num_rows_menu, num_cols_menu = range(r), range(c)
    if request.GET.has_key('fb_id'):
        selected_fb = FunctionBox.objects.get(pk=request.GET['fb_id'])
    else:
        selected_fb = FunctionBox.objects.filter(padre__exact=None
                                                 ).order_by('ordinal_splash')[0]

    sr, sc = Layout.get_griglia_secondary_menu()
    num_rows_secondarymenu, num_cols_secondarymenu = range(sr), range(sc)
    
    return render_to_response(template_name, locals(), RequestContext(request))

@csrf_exempt
def xload_splash_functionbox(request, *args, **kwargs):
    """Torna il contenuto di un box nella schermata di splash."""
    template_name = kwargs.pop('template_name', 'layout/snippets/splashfunctionbox.html')
    
    row, col = request.POST["span_identifier"].split("-")
    actual_first_fb = int(request.POST["actual_first_fb"])
    shift = int(request.POST["shift"])
    fb = Layout.get_functionbox_for_splash(row, col, actual_first_fb, shift)
    if not fb:
        template_name = 'layout/snippets/splashloginbox.html'
        return render_to_response(template_name, locals(), RequestContext(request))
    if fb.redirect_url_name:
        run = reverse(fb.redirect_url_name)
    
    return render_to_response(template_name, locals(), RequestContext(request))

@csrf_exempt
def xload_menu_functionbox(request, *args, **kwargs):
    """Torna il contenuto di un box nel menu principale."""
    template_name = kwargs.pop('template_name', 'layout/snippets/menufunctionbox.html')

    try:
        row, col = request.POST["span_identifier"].split("-")
        actual_first_fb = int(request.POST["actual_first_fb"])
        shift = int(request.POST["shift"])
        fb = Layout.get_functionbox_for_menu(row, col, actual_first_fb, shift)
        if fb.redirect_url_name and not fb.render_in_view:
                run = reverse(fb.redirect_url_name)
    except Exception, e:
        print str(e)

    return render_to_response(template_name, locals(), RequestContext(request))

@csrf_exempt
def xload_menu_functionbox_byid(request, *args, **kwargs):
    """Torna il contenuto di un box nel menu principale."""
    template_name = kwargs.pop('template_name', 'layout/snippets/menufunctionbox.html')
    
    try:
        id = request.POST["identifier"]
        fb = FunctionBox.objects.get(pk=id)
        if fb.redirect_url_name and not fb.render_in_view:
            run = reverse(fb.redirect_url_name)
    except Exception, e:
        print str(e)
    return render_to_response(template_name, locals(), RequestContext(request))

@csrf_exempt
def xload_secondarymenu_functionbox(request, *args, **kwargs):
    """Torna il contenuto di un box nel menu secondario."""
    template_name = kwargs.pop('template_name', 'layout/snippets/secondarymenufunctionbox.html')

    row, col = request.POST['span_identifier'].split("-")
    if request.POST.has_key('id_padre'):
        id_padre = int(request.POST["id_padre"]) 
    else:
        id_padre = 2
    actual_first_fb = int(request.POST["actual_first_fb"])
    shift = int(request.POST["shift"])
    fb = Layout.get_functionbox_for_secondary_menu(row, col, id_padre,
                                                   actual_first_fb, shift)
    
    return render_to_response(template_name, locals(), RequestContext(request))

@csrf_exempt
def xload_view(request, *args, **kwargs):
    """Torna il contenuto nella sezione principale della pagina."""
    print request.POST
    fb = FunctionBox.objects.get(pk=request.POST["identifier"])
    if fb.redirect_url_name and not fb.render_in_view:
        return HttpResponseRedirect(reverse(fb.redirect_url_name))
    if fb.redirect_url_name and fb.render_in_view:
        #TODO mi aspettavo il redirect mandasse ad altra pagina, pare che
        # dentro l'ajax diventi un 200, se è sempre così è comodo ... da testare
        # con ogni browser
        return HttpResponseRedirect(reverse(fb.redirect_url_name))
    raise NotImplemented # 500 o 404 ?
